#ifndef _GSPROGMAN_H_
#define _GSPROGMAN_H_
#include <windows.h>

#include "gsPlatform.h"
#include "uninstall.h"
#include "stringArray.h"

class gsProgramManager : public installAgent
{
	private:
  	gsPlatform *platform;
    DWORD				instance;
    bool				connected;

    void logAction(string actionName, string group);
    void logAction(string actionName, string group, string item, string parameter);
  protected:
  public:
  	// constructor
  	gsProgramManager(installManager &manager);

    // connect/disconnect activity
    bool connect();
    bool disconnect();

    bool addProgramGroup(string name);
    bool removeProgramGroup(string name);
    bool addIcon(	string groupName, string iconName, string iconDestination,
    							string description);
    bool removeIcon(	string groupName, string iconName);

    bool undoAction(string actionName, stringArray &params);
};
#endif